% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/measureTime.R
\name{measureTime}
\alias{measureTime}
\title{Measure Runtime of a Feature Computation}
\usage{
measureTime(expr, prefix, envir = parent.frame())
}
\arguments{
\item{expr}{[\code{expression}]\cr
Expression of which the time should be measured.}

\item{prefix}{[\code{character(1)}]\cr
Name of the corresponding feature set. Used as a prefix for the runtime.}

\item{envir}{[\code{environment}]\cr
Environment in which expr should be evaluated.}
}
\value{
Returns the value(s) of the evaluated \code{expr} and adds two
additional attributes: the number of function evaluations
\code{costs_fun_evals} and the runtime \code{costs_runtime}, which was
required for evaluating the expression.
}
\description{
Simple wrapper around \code{proc.time}.
}
